Package org.eclipse.mat.ui

# Class MemoryAnalyserPreferences

java.lang.Object
org.eclipse.mat.ui.MemoryAnalyserPreferences

All Implemented Interfaces:
  `IStartup`

public class MemoryAnalyserPreferences extends Object implements IStartup
We use this instead of a PreferenceInitializer because that only gets called when the preference pane is opened.

See Also:
  - https://help.eclipse.org/index.jsp?topic=/org.eclipse.platform.doc.isv/reference/extension-points/org_eclipse_ui_startup.html

## Constructor Summary

Constructors
Constructor
Description
`MemoryAnalyserPreferences()`

## Method Summary

Modifier and Type
Method
Description
`void`
`earlyStartup()`
Called when Eclipse starts.
`static void`
`loadPreferenceValue()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MemoryAnalyserPreferences

public MemoryAnalyserPreferences()

## Method Details

### earlyStartup

public void earlyStartup()
Called when Eclipse starts. Not used anymore as it causes o.e.mat.ui always to be started when MAT is installed in Eclipse, even when not used. Instead BytesDisplay does the query of the Eclipse preferences.

Specified by:
  `earlyStartup` in interface `IStartup`

### loadPreferenceValue

public static void loadPreferenceValue()